petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSetPreStep

Sets the general-purpose function called once at the beginning of each time step.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetPreStep(TS ts, PetscErrorCode (*func)(TS))

Logically Collective on TS Many br

### Input Parameters

| ts | - The TS context obtained from TSCreate() Many br
| func | - The function Many br

### Calling sequence of func

func (TS ts); - Many br Many br

### Note

If a step is rejected, TSStep() will call this routine again before each attempt. Many brThe last completed time step number can be queried using TSGetTimeStepNumber(), the Many brsize of the step being attempted can be obtained using TSGetTimeStep(). Many br

### Keywords

TS, timestep

### See Also

TSSetPreStage(), TSSetPostStage(), TSSetPostStep(), TSStep()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages